PDF::API2::Basic::PDF::Array(3)

NAME
PDF::API2::Basic::PDF::Array - Corresponds to a PDF array. Inherits from PDF::Objind

METHODS

  PDF::Array->new($parent, @vals)
Creates an array with the given storage parent and an optional list of values to initialise the array with.

  $a->outobjdeep($fh, $pdf)
Outputs an array as a PDF array to the given filehandle.

  $a->removeobj($elem)
Removes all occurrences of an element from an array.

  $a->elementsof
Returns a list of all the elements in the array. Notice that this is not the array itself but the elements in the array.

Also available as "elements".

  $a->add_elements
Appends the given elements to the array. An element is only added if it is defined.

  $a->val
Returns the value of the array, this is a reference to the actual array containing the elements.

  $a->copy($pdf)
Copies the array with deep-copy on elements which are not full PDF objects with respect to a particular $pdf output context